#pragma once

#include <cstddef>
#include <cstdint>
#include <cstdio>
#include <filesystem>
#include <span>
#include <string>
#include <vector>

namespace kuiper
{

class io {
  public:
    static std::string read_text_file(const std::filesystem::path& path) noexcept;

    static std::filesystem::path get_home_dir() noexcept;
};

} // namespace kuiper
